Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.schedule
Class ScheduleProvider

    java.lang.Object
      org.jboss.soa.esb.schedule.ScheduleProvider

    public class ScheduleProvider

extends java.lang.Object

Schedule Provider.

Manages all of the configured scheduled jobs and their listeners.

Author:
  Daniel Bevenius, tom.fennelly@jboss.com

Nested Class Summary
`static class` | `ScheduleProvider.ESBScheduledJob`

Constructor Summary
`ScheduleProvider(java.util.Properties properties, java.util.List<Schedule> schedules)`

Method Summary
`void` | `addListener(ScheduledEventListener listener, long scheduleFrequency)`
`void` | `addListener(ScheduledEventListener listener, java.lang.String scheduleId)`
`void` | `standby()` Standby the scheduler.
`void` | `start()` Start the scheduler.
`void` | `stop()` Stop the scheduler.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScheduleProvider

    public ScheduleProvider(java.util.Properties properties,
                            java.util.List<Schedule> schedules)
                     throws ConfigurationException

Throws:
  `ConfigurationException`

Method Detail

### addListener

    public void addListener(ScheduledEventListener listener,
                            java.lang.String scheduleId)
                     throws SchedulingException,
                            ConfigurationException

  Throws:
    `SchedulingException`
    `ConfigurationException`

### addListener

    public void addListener(ScheduledEventListener listener,
                            long scheduleFrequency)
                     throws SchedulingException

  Throws:
    `SchedulingException`

### start

    public void start()
               throws SchedulingException

  Start the scheduler.

  Throws:
    `SchedulingException` - Start failed.

### standby

    public void standby()
                 throws SchedulingException

  Standby the scheduler.

  Restart the scheduler through the `start()` method.

  Throws:
    `SchedulingException` - Standby failed.

### stop

    public void stop()
              throws SchedulingException

  Stop the scheduler.

  Throws:
    `SchedulingException` - Stop failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD